Bug 1737488 - [Satellite 6.6.0 Snap14] Some unwanted exception dumps during yum update in the cleanup phase(In Capsule Upgrade).
Summary: [Satellite 6.6.0 Snap14] Some unwanted exception dumps during yum update in t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Upgrades
Version: 6.6.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: 6.6.0
Assignee: Ewoud Kohl van Wijngaarden
QA Contact: Nikhil Kathole
URL:
Whiteboard:
: 1746108 (view as bug list)
Depends On: 1747654
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-05 13:51 UTC by Devendra Singh
Modified: 2019-10-22 12:48 UTC (History)
5 users (show)

Fixed In Version: satellite-installer-6.6.0.20-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1692425 unspecified CLOSED Turn on task cleanup ON by default 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:48:10 UTC

Description Devendra Singh 2019-08-05 13:51:52 UTC
Description of problem: Some unwanted exception dumps during yum update in the cleanup phase(In Capsule Upgrade).

Version-Release number of selected component (if applicable):
6.6.0

How reproducible:
Always

Steps to Reproduce:
1. In Capsule upgrade, "yum update" cleanup phase dumps NoMethodError exception. 

 /etc/foreman-installer/scenarios.d/satellite.migrations/190426093500-foreman-tasks-cleanup.rb:3:in `block (2 levels) in load_migrations': undefined method `=' for true:TrueClass (NoMethodError)
        from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/migrations.rb:25:in `instance_eval'
        from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/migrations.rb:25:in `block (2 levels) in load_migrations'
        from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/migration_context.rb:10:in `instance_eval'
        from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/migration_context.rb:10:in `execute'
        from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/migrations.rb:38:in `block in run' 
        from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/migrations.rb:35:in `each'
        from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/migrations.rb:35:in `run'
        from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/configuration.rb:281:in `run_migrations'
        from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/kafo_configure.rb:65:in `initialize'
        from /usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:132:in `new'
        from /usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:132:in `run'
        from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/kafo_configure.rb:163:in `run'
        from /sbin/foreman-installer:8:in `<main>'
  Uploading Package Profile


Actual results:

NoMethodError comes in yum update in the cleanup phase.

Expected results:

The exception should not be dumped.

Additional info:

There was no impact on the current upgrade process, Both Satellite and Capsule upgrade was completed successfully.

Comment 4 Devendra Singh 2019-08-28 08:51:04 UTC
*** Bug 1746108 has been marked as a duplicate of this bug. ***

Comment 7 Nikhil Kathole 2019-09-16 10:35:07 UTC
VERIFIED

Version tested:
Satellite 6.6.0 snap 20

No exception raised while yum update as mentioned above.

Comment 10 errata-xmlrpc 2019-10-22 12:47:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.